#
# spec file for package perl-Cache-Memcached-Fast (Version 0.12)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define modname	     Cache-Memcached-Fast
Name:           perl-Cache-Memcached-Fast
# %{modname}
Version:        0.12
Release:        1.1
URL:		http://search.cpan.org/~kroki/Cache-Memcached-Fast-0.12/
Summary:        Cache::Memcached::Fast - Perl client for memcached, in C language
Requires:       perl = %{perl_version}
BuildRequires:  perl 

# not needed:
# BuildRequires:  perl memcached

License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
Cache::Memcached::Fast is a Perl client for memcached, a memory cache daemon (http://www.danga.com/memcached/). Module core is implemented in C and tries hard to minimize number of system calls and to avoid any key/value copying for speed. As a result, it has very low CPU consumption.
API is largely compatible with Cache::Memcached, original pure Perl client, most users of the original module may start using this module by installing it and adding "::Fast" to the old name in their scripts (see "Compatibility with Cache::Memcached" below for full details).

Authors:
--------
    Tomash Brechko, <tomash.brechko at gmail.com>
    Michael Monashev, <postmaster at softsearch.ru>


%prep
%setup -q -n %{modname}-%{version}

%build
echo y | perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
echo perl_vendorarch %{perl_vendorarch}
echo perl_vendorlib %{perl_vendorlib}

%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes README
%doc %{_mandir}/man?/*
# %{perl_vendorlib}/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cache
%{perl_vendorarch}/Cache/*
/var/adm/perl-modules/%{name}

%changelog
